Subject: Re: [Bitcoin-development] Proposal: allocate 8 service bits for experimental use

From: Wladimir <[email-masked]>
Date: Wed, 18 Jun 2014 12:23:57 +0200

On Tue, Jun 17, 2014 at 9:23 AM, Peter Todd <[email-masked]> wrote:
> For my replace-by-fee implementation(1) I used service bit 26 to let
> preferential peering work so that replace-by-fee nodes could easily find
> each other. Of course, that's a temporary/experimental usage that can be
> dropped after wider adoption, so I included the following comment:
>
>     // Reserve 24-31 for temporary experiments
>     NODE_REPLACE_BY_FEE = (1 << 26)
>
> Service bits are never a guaranteed thing anyway, so occasional
> collisions can and should be tolerated by applications using these
> experimental service bits.

Anyhow -- back to the original proposal. I'm fine with setting aside
part of the service bit space for experiments.

Wladimir